WSJTX(1)

NAME
udp_daemon - Reference example UDP server

SYNOPSIS

udp_daemon [OPTIONS]

DESCRIPTION

udp_daemon does not serve any useful purpose other than to demonstrate the UDP message features of WSJT-X. It is a small command line application that interacts with any running WSJT-X instances.

Developers writing add on applications may find the source code of udp_daemon contained in the WSJT-X code repository useful. The files NetworkMessage.hpp, MessageServer.hpp, MessageClient.hpp and their associated implementations along with the application source UDPDaemon.cpp should cover all the required areas. All these files can be found at:

https://sourceforge.net/p/wsjt/wsjt/HEAD/tree/branches/wsjtx/

udp_daemon may also be used as a multi-cast UDP server which allows multiple instances of udp_daemon to be run concurrently, to do this simply pass a suitable multi-cast group address using the command line option and in WSJT-X in the "Settings→Reporting→UDP Server" pane e.g. 239.255.0.1 or ff03::1 for a local scope group.

Note that on some systems it may be necessary to add a static multi-cast route to the routing table before multi-cast traffic can be routed to sockets on the same host as the sender.

OPTIONS

-p PORT, --port=PORT
    Optional service port number to listen on (default 2237).

-g MULTICAST-GROUP, --group=MULTICAST-GROUP
    Optional multicast group address to join (Default unicast server).

-v, --version
    Display the application version.

-h,--help
    Display usage information.

AUTHOR

Bill Somerville, G4WJS.

COPYING

udp_daemon is Copyright © 2015 by William Somerville, G4WJS, with contributions from additional authors. udp_daemon is Open Source software, licensed under the GNU General Public License (GPLv3).

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.